<script setup lang="ts">
import {type Product} from '@/types/Product'

const props= defineProps<{
    product:Product
}>()
const emit = defineEmits<{
    selectedProduct:[Product] // selectedProduct(Product p)
}>()
const selected = function(){
    console.log('ProductCard: '+props.product);
    emit('selectedProduct',props.product)
}

</script>
<template>
    <v-sheet width="155" height="155" elevation="4"  @click="selected" style="background-color: #e1c9b1;">
    <v-img :src="`./img/coffee/product${product.id}.png`" height="110px" ></v-img>
    <div style="text-align: center;">{{ product.name }} <br>{{ product.price }} บาท</div>
    </v-sheet>
</template>